Skip to main content

Set or remove the matterport URL for a listing.

Set or remove the 3D tour URL (matterport) on the listing's matterport section. Body: {'url': '<matterport url>', 'operation': 'set'|'remove'}. Returns the previous URL and the new URL. Idempotent on X-Idempotency-Key. Rate-limited at 200/min per API key.

MethodPath
PATCH/api/v1/listings/{listing_number}/sections/matterport

Primary host: https://valara.cloud (legacy alias: https://dash.jacoballenmedia.com).

Parameters

NameInRequiredTypeDescription
listing_numberpathyesstring

Request body

(no request body)

Response

null

Responses

StatusDescription
200Successful Response
422Validation Error (see error codes)

Examples

curl

curl -X PATCH "https://valara.cloud/api/v1/listings/{listing_number}/sections/matterport" \
-H "Authorization: Bearer $VALARA_API_KEY" \
-H "Content-Type: application/json" \
-H "X-Idempotency-Key: $(uuidgen)"

Python

import os
import uuid
import httpx
res = httpx.request(
"PATCH",
"https://valara.cloud/api/v1/listings/{listing_number}/sections/matterport",
headers={
"Authorization": f"Bearer {os.environ['VALARA_API_KEY']}",
"Content-Type": "application/json",
"X-Idempotency-Key": str(uuid.uuid4()),
},
)
res.raise_for_status()
print(res.json())

See also